# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['sqlin']

package_data = \
{'': ['*']}

install_requires = \
['matplotlib>=3.4.3,<4.0.0',
 'networkx>=2.6.3,<3.0.0',
 'sql-metadata>=2.2.2,<3.0.0',
 'typer>=0.4.0,<0.5.0']

entry_points = \
{'console_scripts': ['sqlin = sqlin.main:main']}

setup_kwargs = {
    'name': 'sqlin',
    'version': '0.1.0',
    'description': 'lineage for sql scripts',
    'long_description': '# sqlin\n\nCreate a lineage graph from a SQL script.\n\n# Usage\n\n```sh-session\n$ pip install sqlin\n$ sqlin --help\nUsage: sqlin [OPTIONS] FILE_PATH\n\n  Create lineage graph\n\n  Takes the file path of the sql script and creates a png image, the path of\n  which can be optionally specified.\n\nArguments:\n  FILE_PATH  [required]\n\nOptions:\n  --output TEXT                   [default: lineage.png]\n  --install-completion [bash|zsh|fish|powershell|pwsh]\n                                  Install completion for the specified shell.\n  --show-completion [bash|zsh|fish|powershell|pwsh]\n                                  Show completion for the specified shell, to\n                                  copy it or customize the installation.\n  --help                          Show this message and exit.\n```\n',
    'author': 'Felix Restorff',
    'author_email': 'glebvnerzhin@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/gnerzhin/maloha',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
